Page MenuHomePhabricator

Add diff support for Lexeme
Closed, ResolvedPublic

Description

As an editor I want to see the details of a change another editor made in a diff in order to verify the change was good. This diff should behave the same way as a diff between 2 versions of an item.

Acceptance criteria:

  • I can see a diff between any two versions of a Lexeme.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 22 2017, 12:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 385837 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Make DiffView extendible

https://gerrit.wikimedia.org/r/385837

Change 385838 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add LexemeDiffVisualizer

https://gerrit.wikimedia.org/r/385838

thiemowmde triaged this task as Normal priority.Oct 23 2017, 6:19 AM
thiemowmde moved this task from incoming to in progress on the Wikidata board.

Change 385837 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make DiffView extendible

https://gerrit.wikimedia.org/r/385837

Change 386152 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Rename DiffView to BasicDiffView

https://gerrit.wikimedia.org/r/386152

Change 386152 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename DiffView to BasicDiffView

https://gerrit.wikimedia.org/r/386152

Change 386160 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Intorudce DiffView interface

https://gerrit.wikimedia.org/r/386160

Change 386227 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Move diffing visualizer stuff related to items to its dedicated classes

https://gerrit.wikimedia.org/r/386227

Change 386160 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce DiffView interface

https://gerrit.wikimedia.org/r/386160

Change 386227 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move diffing visualizer stuff related to items to its dedicated classes

https://gerrit.wikimedia.org/r/386227

Change 388077 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Add ItemDiffVisualizerTest

https://gerrit.wikimedia.org/r/388077

Change 388077 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add ItemDiffVisualizerTest

https://gerrit.wikimedia.org/r/388077

Change 385838 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add LexemeDiffVisualizer

https://gerrit.wikimedia.org/r/385838

Ladsgroup closed this task as Resolved.Nov 21 2017, 10:59 AM
Ladsgroup removed a project: Patch-For-Review.